export declare type Call = {
    callIndex: string;
    contractId: string;
    encrypted: boolean;
    methodName: string;
    origin: string;
    parameters: string;
};
export declare type EncodedCall = {
    call: string;
    contractId: string;
};
export declare type Authentication = {
    storageKey: string;
    authOrigin: string;
};
export declare type SContractConfiguration = {
    localStoragePath: string;
};
export declare type Contract = {
    auth: Authentication[];
    contractId: string;
    highLocalCallIndex: string;
    state: string;
    wasmPath: string;
};
export declare type RequestInitializeContract = {
    contractId: string;
    highRemoteCallIndex: string;
    wasmBlob: string;
};
export declare type RequestWriteNewAuthentication = {
    authentication: Authentication;
    contractId: string;
};
export declare type RequestRollup = {
    contractId: string;
    highLocalCallIndex: string;
    highRemoteCallIndex: string;
};
export declare type RequestRolldown = {
    contractId: string;
    highLocalCallIndex: string;
    highRemoteCallIndex: string;
};
export declare type RequestDispatch = {
    calls: EncodedCall[];
};
